package com.nisum.ecomorder.client;

import com.nisum.ecomorder.model.Product;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "ecom-product", decode404 = true, fallbackFactory = ProductClientFallbackFactory.class)
public interface ProductClient {

    @GetMapping(value = "/id/{id}")
    Product getProductById(@PathVariable("id") String id);

}

