package com.nisum.ecomorder.client;

import com.nisum.ecomorder.model.Product;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class ProductClientFallback implements ProductClient {

    private final Throwable cause;

    public ProductClientFallback(Throwable cause) {
        this.cause = cause;
    }

    @Override
    public Product getProductById(String id) {
        log.error("Error from product client:: {}", cause.getMessage());
//        TODO - check why fallback is not being called
        return new Product();
    }
}
