package com.nisum.ecomorder.config.mongodb;

import com.nisum.ecomorder.model.Order;
import com.nisum.ecomorder.repository.OrderLineRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.mapping.event.AbstractMongoEventListener;
import org.springframework.data.mongodb.core.mapping.event.BeforeConvertEvent;
import org.springframework.stereotype.Component;

@Component
public class OrderDbOpsEventListener extends AbstractMongoEventListener<Order> {

    @Autowired
    OrderLineRepository orderLineRepository;

    @Override
    public void onBeforeConvert(BeforeConvertEvent<Order> event) {
        super.onBeforeConvert(event);
        Order order = event.getSource();
        order.setLineItems(orderLineRepository.saveAll(order.getLineItems()));
    }

}
