package com.nisum.ecomorder.model;

import lombok.*;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.TypeAlias;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDateTime;
import java.util.List;

@NoArgsConstructor
@Data
@TypeAlias("order")
@Document("orders")
public class Order {

    @Id
    private String id;

    @CreatedDate
    @Setter(value = AccessLevel.PRIVATE)
    private LocalDateTime orderDate;

    private Long customerId;

    private String customerName;

    private String email;

    private Address shipTo;

    @DBRef
    private List<OrderLine> lineItems;

    private Double orderTotal;
}
