package com.nisum.ecomorder.model.dto;

import com.nisum.ecomorder.model.Address;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.Email;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@NoArgsConstructor
@Data
public class PlaceOrderRequestDto {

    @NotNull(message = "missing customer id")
    private Long customerId;

    @Email
    private String email;

    @NotNull
    @Valid
    private Address shipTo;

    @Size(min = 1, message = "order should contain at least one item")
    @Valid
    private List<OrderLineDto> lineItems;
}
